      *********************************************************************
      * MODULE NAME:       FAAPLTSD.CCP                                   *
      *                    modified by Marta Wojnar, IBM Germany          *
      * FUNCTION:        - free shared memory                             *
      * STATUS:                                                           *
      *  24 July 1995     Version 3 Release 0                             *
      *                                                                   *
      *********************************************************************
      *
       IDENTIFICATION DIVISION.
       PROGRAM-ID. FAAPLTSD.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01 WORK1.
          02 MESSAGE-1 VALUE 'PLTSD processing complete.' PIC X(26).
       01 WS-GETNMEMF PIC X(4)  VALUE X'07000000'.
       01 WS-GETNMEMR REDEFINES WS-GETNMEMF PIC 9(8) COMP-5.
       01 WS-MEMADDR  POINTER.
       01 WS-RETCODE  PIC 9(8)  COMP-5.
       01 WS-MEMNAME.
          02 FILLER   PIC X(15)         VALUE '\SHAREMEM\MWVDV'.
          02 FILLER   PIC X             VALUE X'00'.
       LINKAGE SECTION.
       01  DFHCOMMAREA              PIC X.
       PROCEDURE DIVISION.
       B1-BEGIN.
           CALL 'DosGetNamedSharedMem' USING
                BY REFERENCE WS-MEMADDR
                BY REFERENCE WS-MEMNAME
                BY VALUE     WS-GETNMEMR
                RETURNING    WS-RETCODE
           END-CALL
           IF WS-RETCODE = 0
              CALL 'DosFreeMem' USING
                   BY VALUE  WS-MEMADDR
                   END-CALL
           END-IF.
           EXEC CICS WRITE OPERATOR
                     TEXT(MESSAGE-1)
                     TEXTLENGTH(26)
                     NOHANDLE
           END-EXEC.
           EXEC CICS XCTL PROGRAM('FAAOISPT')
           END-EXEC.
       B1-EXIT. EXIT.
